Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department:  Affected Products: ADTF 2.14.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

Ist eine ADTF 2.14.x-Version für vc140 geplant?

Lösung

Nein, für ADTF 2.x ist grundsätzlich nichts mehr geplant, es gibt maximal noch Patches, wenn kein Workaround möglich ist und es

sich um Blocker handelt.

ADTF 2.x läuft aus, siehe https://support.digitalwerk.net/news/38

Ein Compiler Upgrade wäre technisch ohnehin nicht möglich gewesen, aufgrund der fehlenden ABI und Binärkompatibilität, deshalb

gibt es u.a. ADTF 3.x, in dieser können dann die neuen Features der VC Compiler verwendet werden.

Aktuell (ADTF 3.6.x) kommt Visual Studio 2017 mit VC141 zum Einsatz, wie auch bei Qt 5.12.x und weiteren 3rd party

Abhängigkeiten.

History

#1 - 2019-09-09 11:41 - hidden

- Status changed from New to In Progress

- Project changed from Public Support to 11

- Topic set to ADTF::Common

- Affected Products ADTF 2.14.0 added

- Platform Windows 7 64bit added

#2 - 2019-09-09 11:43 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Michael,

nein, für ADTF 2.x ist grundsätzlich nichts mehr geplant, es gibt maximal noch Patches, wenn kein Workaround möglich ist und es sich um Blocker

handelt.

ADTF 2.x läuft aus, siehe https://support.digitalwerk.net/news/38

Ein Compiler Upgrade wäre technisch ohnehin nicht möglich gewesen, aufgrund der fehlenden ABI und Binärkompatibilität, deshalb gibt es u.a.

ADTF 3.x, in dieser können dann die neuen Features der VC Compiler verwendet werden.

Aktuell (ADTF 3.6.x) kommt Visual Studio 2017 mit VC141 zum Einsatz, wie auch bei Qt 5.12.x und weiteren 3rd party Abhängigkeiten.

#3 - 2019-09-10 08:37 - hidden

- Resolution set to Not Supported Scope

#4 - 2019-09-13 09:08 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF 2.14.x für vc140 to ADTF 2.14.x using vc140
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#5 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed

#6 - 2021-01-13 20:43 - hidden

- Customer set to AUDI
